//---------------------------------------------------------------------------
#ifndef W25QxxH
#define W25QxxH
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
struct  W25Qxx_RS{      unsigned char Status1;          // Readed Status 1
                        unsigned char Status2;          // Readed Status 2
                        bool Success;};                 //    

bool W25Qxx_WriteEnable();                              //      WEL (  )
bool W25Qxx_WriteDisable();                             //      WEL (  )
bool W25Qxx_WriteStatus(unsigned char, unsigned char);  //     Status1, Status2 ( volatile bits)
W25Qxx_RS W25Qxx_ReadStatus();                          //    Status1, Status2
bool W25Qxx_EraseSector(unsigned int);                  //    (4 kB)
bool W25Qxx_WritePage(unsigned int);                    //   (256 B)
bool W25Qxx_ReadData(unsigned int, unsigned int);       //       
void W25Qxx_StatusDecode(unsigned char, unsigned char); //    Status1, Status2
//---------------------------------------------------------------------------
#endif
