//---------------------------------------------------------------------------
#pragma hdrstop
#include "SendMsgFunctions.h"   //     
#include "MainProgram.h"        //      
//---------------------------------------------------------------------------
#pragma package(smart_init)
//---------------------------------------------------------------------------
//---       -----------------------------------
//---------------------------------------------------------------------------
void SendStartTimeToLog()
{ struct  time t;

  //       
  gettime(&t);
  Form1->RichEdit1->Lines->Add("Start time: "+IntToStr(t.ti_hour)+":"+IntToStr(t.ti_min)+":"+IntToStr(t.ti_sec));
}
//---------------------------------------------------------------------------
//---       --------------------------------
//---------------------------------------------------------------------------
void SendEndTimeToLog()
{ struct  time t;

  //       
  gettime(&t);
  Form1->RichEdit1->Lines->Add("End time: "+IntToStr(t.ti_hour)+":"+IntToStr(t.ti_min)+":"+IntToStr(t.ti_sec));
}
//---------------------------------------------------------------------------
//---     -------------------------------------------------
//---------------------------------------------------------------------------
void SendMsgToLog(unsigned int MsgNum, AnsiString AddMsg)
{ //----------------------------------------------------------------------------
  //   -   ---------------------------------------
  //----------------------------------------------------------------------------
  AnsiString   MSG_2   = "Error. The COM-port is not available.";
  AnsiString   MSG_4   = "The COM-port is open: ";
  AnsiString   MSG_5   = "The COM-port is close.";
  AnsiString   MSG_6   = "Error getting the COM-port parameters.";
  AnsiString   MSG_7   = "Error setting the COM-port parameters.";
  AnsiString   MSG_8   = "Gateway configuration error.";
  AnsiString   MSG_11  = "Error loading the packet.";
  AnsiString   MSG_21  = "Error receiving the packet.";

  AnsiString   MSG_142 = "Writing data is starting.";
  AnsiString   MSG_143 = "Reading data is starting.";
  AnsiString   MSG_14A = "Writing Status 1, Status 2 is starting.";
  AnsiString   MSG_14B = "Reading Status 1, Status 2 is starting.";
  AnsiString   MSG_14C = "Success. Operation complete.";
  AnsiString   MSG_14D = "Error. Operation incomplete.";

  AnsiString   MSG_200 = "The selected chip is ";
  AnsiString   MSG_201 = "Open file. The number of downloaded bytes is ";
  AnsiString   MSG_202 = "Save file. The number of saved bytes is ";
  AnsiString   MSG_203 = "1 sector = 4 kB, 1 block = 64 kB. Each 1 block = 16 sectors [0..15].";
  AnsiString   MSG_204 = "Max block number for selected chip = ";
  //----------------------------------------------------------------------------
  //    -----------------------------------------------------
  //----------------------------------------------------------------------------
  switch(MsgNum)
  { case 0x2:           Form1->RichEdit1->Lines->Add(MSG_2+AddMsg);
                        break;
    case 0x4:           Form1->RichEdit1->Lines->Add(MSG_4+AddMsg);
                        break;
    case 0x5:           Form1->RichEdit1->Lines->Add(MSG_5+AddMsg);
                        break;
    case 0x6:           Form1->RichEdit1->Lines->Add(MSG_6+AddMsg);
                        break;
    case 0x7:           Form1->RichEdit1->Lines->Add(MSG_7+AddMsg);
                        break;
    case 0x8:           Form1->RichEdit1->Lines->Add(MSG_8+AddMsg);
                        break;
    case 0x11:          Form1->RichEdit1->Lines->Add(MSG_11+AddMsg);
                        break;
    case 0x21:          Form1->RichEdit1->Lines->Add(MSG_21+AddMsg);
                        break;

    case 0x142:         Form1->RichEdit1->Lines->Add(MSG_142+AddMsg);
                        break;
    case 0x143:         Form1->RichEdit1->Lines->Add(MSG_143+AddMsg);
                        break;
    case 0x14A:         Form1->RichEdit1->Lines->Add(MSG_14A+AddMsg);
                        break;
    case 0x14B:         Form1->RichEdit1->Lines->Add(MSG_14B+AddMsg);
                        break;
    case 0x14C:         Form1->RichEdit1->Lines->Add(MSG_14C+AddMsg);
                        break;
    case 0x14D:         Form1->RichEdit1->Lines->Add(MSG_14D+AddMsg);
                        break;

    case 0x200:         Form1->RichEdit1->Lines->Add(MSG_200+AddMsg);
                        break;
    case 0x201:         Form1->RichEdit1->Lines->Add(MSG_201+AddMsg);
                        break;
    case 0x202:         Form1->RichEdit1->Lines->Add(MSG_202+AddMsg);
                        break;
    case 0x203:         Form1->RichEdit1->Lines->Add(MSG_203+AddMsg);
                        break;
    case 0x204:         Form1->RichEdit1->Lines->Add(MSG_204+AddMsg);
                        break;
    default:            break;
  }
}
//---------------------------------------------------------------------------
